toolchain/uClibc: Make sure there's always a UCLIBC_VERSION_*
authorJonas Gorski <jogo@openwrt.org>
Tue, 2 Aug 2011 23:32:44 +0000 (23:32 +0000)
committerJonas Gorski <jogo@openwrt.org>
Tue, 2 Aug 2011 23:32:44 +0000 (23:32 +0000)
UCLIBC_VERSION_* was only defined when toolchain options was enabled,
breaking packages depending on (not) having certain uClibc versions.

SVN-Revision: 27882

toolchain/uClibc/Config.version

index 843a499..d122ccc 100644 (file)
@@ -3,3 +3,11 @@ config UCLIBC_VERSION
        depends on USE_UCLIBC
        default "0.9.32"       if UCLIBC_VERSION_0_9_32
        default "0.9.32"
+
+if !TOOLCHAINOPTS
+
+       config UCLIBC_VERSION_0_9_32
+               default y if USE_UCLIBC
+               bool
+
+endif